Package org.apache.maven.scm.provider.bazaar.repository

## Class BazaarScmProviderRepository

- java.lang.Object
- - org.apache.maven.scm.provider.ScmProviderRepository
  - - org.apache.maven.scm.provider.ScmProviderRepositoryWithHost
    - - org.apache.maven.scm.provider.bazaar.repository.BazaarScmProviderRepository

    public class BazaarScmProviderRepository
    extends ScmProviderRepositoryWithHost

Author:
  Torbjï¿½rn Eikli Smï¿½rgrav

### Constructor Summary

Constructors
`BazaarScmProviderRepository​(java.lang.String url)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.String` `getURI()`
`java.lang.String` `toString()`
`java.lang.String` `validateURI()`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepositoryWithHost

`getHost, getPassphrase, getPort, getPrivateKey, setHost, setPassphrase, setPort, setPrivateKey`

### Methods inherited from class org.apache.maven.scm.provider.ScmProviderRepository

`getParent, getPassword, getRelativePath, getUser, getWorkItem, isPersistCheckout, isPushChanges, setPassword, setPersistCheckout, setPushChanges, setUser, setWorkItem`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BazaarScmProviderRepository

    public BazaarScmProviderRepository​(java.lang.String url)

### Method Detail

#### getURI

    public java.lang.String getURI()

#### validateURI

    public java.lang.String validateURI()

Returns:
  A message if the repository as an invalid URI, null if the URI seems fine.

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`